Package org.springframework.http.codec.cbor

# Class KotlinSerializationCborDecoder

java.lang.Object
org.springframework.http.codec.KotlinSerializationSupport<T>
org.springframework.http.codec.KotlinSerializationBinaryDecoder<kotlinx.serialization.cbor.Cbor>
org.springframework.http.codec.cbor.KotlinSerializationCborDecoder

All Implemented Interfaces:
  `org.springframework.core.codec.Decoder<Object>`

public class KotlinSerializationCborDecoder extends KotlinSerializationBinaryDecoder<kotlinx.serialization.cbor.Cbor>
Decode a byte stream into CBOR and convert to Objects with kotlinx.serialization.

This decoder can be used to bind `@Serializable` Kotlin classes, open polymorphic serialization is not supported. It supports `application/cbor`.

Decoding streams is not supported yet, see kotlinx.serialization/issues/1073 related issue.

Since:
  6.0
Author:
  Iain Henderson

## Constructor Summary

Constructors
Constructor
Description
`KotlinSerializationCborDecoder()`
`KotlinSerializationCborDecoder(kotlinx.serialization.cbor.Cbor cbor)`

## Method Summary

### Methods inherited from class org.springframework.http.codec.KotlinSerializationBinaryDecoder

`canDecode, decode, decodeToMono, getDecodableMimeTypes, getDecodableMimeTypes, getMaxInMemorySize, setMaxInMemorySize`

### Methods inherited from class org.springframework.http.codec.KotlinSerializationSupport

`canSerialize, format, serializer, supportedMimeTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.codec.Decoder

`decode`

## Constructor Details

### KotlinSerializationCborDecoder

public KotlinSerializationCborDecoder()

### KotlinSerializationCborDecoder

public KotlinSerializationCborDecoder(kotlinx.serialization.cbor.Cbor cbor)